#!/usr/bin/env python
"""
see http://peak.telecommunity.com/DevCenter/setuptools

distribution:
python setup.py develop --install-dir=$HOME/Library/Python
python setup.py sdist
rsync -uav dist/aeri*.tar.gz larch:/home/httpd/html/eggs/repos/aeri/

use:
python setup.py install --install-dir=$HOME/Library/Python
easy_install -d $HOME/Library/Python -vi http://larch.ssec.wisc.edu/eggs/repos aeri
"""
import os
from setuptools import setup, Extension
from datetime import datetime

REVISION='0.1'

modules = [ 'Autonomic.py', 'Command.py', 'Concentrator.py', 'Config.py', 'Eaeri.py', 'Gps.py', 'Housekeeping.py', 
               'Ingest.py', 'Interferometer.py', 'Jada.py', 'MessageServer.py', 'Mirror.py', 'Science.py', 'Sequencer.py', 
               'Status.py', 'Tidy.py', 'Verify.py', 'Watchdog.py', '__init__.py', 'cl_opts.py', 'hatchd.py', 'logmerge.py', 
               'mirscd.py', 'partool.py', 'process.py', 'scr2xml.py', 'seq_build.py', 'setup.py', 'sigmove.py', 
               'template.py', 'treeParse.py', 'txt2hkspc.py', 'win32.py' ]
               
def most_recent_modification(filelist=modules):
    return max( [datetime.fromtimestamp(os.stat(x).st_mtime) for x in filelist] ).strftime('%Y%m%d.%H%M')

setup( name="aeri", 
       version=REVISION + '.' + most_recent_modification(), 
       install_requires=[ 'dmv' ])

print '(cd dist; rsync -uav * larch:/home/httpd/html/eggs/repos/aeri/ )'
        